<? $this->layout()->disableLayout(); ?>

<? 
	if ( $this->request()->phone_reg ) {
		$package = Model_Dashboard::getPhonePackage($this->request()->escort_id);
	} else if ( $this->request()->self_checkout ) {
		$package = Model_Dashboard::getSelfCheckoutPackage($this->request()->escort_id);
	}
?>


<link rel="stylesheet" type="text/css" href="/preview/style.css" />

<style type="text/css">
span.removed, a.removed { text-decoration: line-through !important; margin-right: 10px; color: #900 !important }
span.removed div,
span.removed table td { text-decoration: line-through !important }
span.added, a.added { color: #090 !important }
span.removed, span.added, a.removed, a.added { font-weight: bold; }
.warning { padding: 10px; border: 1px solid #f99; background: #fee }
.warning strong.big { font-size: 16px }
.plain {color:#3F3F3F !important}
</style>

<script type="text/javascript">
var callback;
window.revisions_popup.addEvent('loaded', callback = function () {
	this.content.setStyle('height', window.getHeight() - 170);
	this.content.setStyle('overflow', 'auto');
	if ( $('incall-other-details' )){
        $('incall-other-details').setStyle('margin-left','15px');
    }
    if ( $('outcall-other-details' )) {
        $('outcall-other-details').setStyle('margin-left', '15px');
    }
	var els = { sel1: this.content.getElement('select[name=revision]') };
	els.chk = this.content.getElement('input[name=only_changes]') ? this.content.getElement('input[name=only_changes]') : new Element('input');
	
	var self = this;

	this.refresh = function () {
        
		new Cubix.Overlay(self.content, { type: '40p' }).disable();
		self.load('/escorts-v2/revisions?escort_id=<?= $this->request()->escort_id ?>&revision=' + els.sel1.getSelected().get('value'));
	}

	if ( $('btn-q-sms') ) {
		new Cubix.Button($('btn-q-sms'), { onClick: function () {
			var phone = '';
			if ( $defined($('q-sms').getElement('span.added')) ) {
				phone = $('q-sms').getElement('span.added').get('html');
			}
			else if ( $defined($('q-sms').getElement('span')) ) {
				phone = $('q-sms').getElement('span').get('html');
			}

			var no_phone = false;
			if ( phone == '-' ) {
				alert('Phone is required !')
				var no_phone = true;
			}

			if ( ! no_phone ) {
				window.SmsPopup.setTitle('Compose');
				window.SmsPopup.load('<?= $this->baseUrl() ?>/sms/index/compose?escort=1&phone_from=' + phone, function () {
					this.open();
				});
			}
		}, icon: 'msg_add', caption: 'Send SMS', classes: 'ml20 mtm4m' });
	}
	
	if ( $('btn-q-email') ) {
		new Cubix.Button($('btn-q-email'), { onClick: function () {
			var email = '';
			if ( $defined($('q-email').getElement('span.added')) ) {
				email = $('q-email').getElement('span.added').get('html');
			}
			else if ( $defined($('q-email').getElement('span')) ) {
				email = $('q-email').getElement('span').get('html');
			}

			var no_email = false;
			if ( email == '-' ) {
				alert('Email address is required !')
				var no_email = true;
			}

			if ( ! no_email ) {
				window.qEmail.setTitle('Compose Email');
				window.qEmail.load('<?= $this->baseUrl() ?>/index/quick-email?escort=1&email=' + email, function () {
					this.open();
				});
			}
		}, icon: 'msg_add', caption: 'Send Email', classes: 'ml20 mtm4m' });
	}

	
	new Cubix.Button($('btn-reg-email'), { onClick: function () {
		var email = '';
		if ( $defined($('reg-email').getElement('span.added')) ) {
			email = $('reg-email').getElement('span.added').get('html');
		}
		else if ( $defined($('reg-email').getElement('span')) ) {
			email = $('reg-email').getElement('span').get('html');
		}

		var no_email = false;
		if ( email == '-' ) {
			alert('Email address is required !')
			var no_email = true;
		}

		if ( ! no_email ) {
			window.qEmail.setTitle('Compose Email');
			window.qEmail.load('<?= $this->baseUrl() ?>/index/quick-email?escort=1&email=' + email, function () {
				this.open();
			});
		}
	}, icon: 'msg_add', caption: 'Send Email', classes: 'ml20 mtm4m' });
	

	$$('.btn-edit-revision').addEvent('click', function(e){
		e.stop();

		window.EscortPopup.setTitle('Edit Revision');
		//popup.data = data;
		window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit-revision?id=<?= $this->request()->escort_id ?>&revision=' + els.sel1.getSelected().get('value'), function () {
			this.open();
		});
	})

	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {		
		var old_data = window.popup_data;
		var new_data = popup.content.getElement('.form-common').toQueryString();

		if ( old_data != new_data ) {
			if ( confirm('Close without saving changes ?') ) {
				popup.close();
			}
		}
		else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	window.EscortPopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.SmsPopup = popup_sms;
	
	window.SmsPopup.addEvent('loaded', function () {
		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;
	
	window.qEmail.addEvent('loaded', function () {		
		if ($('email_template'))
			$('email_template').addEvent('change', function(e) {
				e.stop();

				var id = $('email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						$('from').set('value', resp.from);
						$('subject').set('value', resp.subject);
						$('message').set('html', resp.body);
						$('email_signature').set('html', resp.signature);
					}.bind(this)
				}).send();
			});
	});

	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690/*,
		zIndex: function () { return Cubix.Popup.zIndex + 22 }*/
	});

	agencyPopup.addEvent('loaded', function () {


		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				window.EscortPopup.data = data;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	window.EscortPopup.addEvent('loaded', function () {
		
	});
    
    /* Grigor */
    var obj = this;
    /* Grigor */
	var init = function () {
		$$([els.sel1, els.chk]).addEvent('change', function () {
            
			obj.refresh();
		});
		
		if ( this.content.getElement('.btn-apply') ) {
			new Cubix.Button(this.content.getElement('.btn-apply'), { onClick: function () {
				new Cubix.Overlay(self.content, { type: '40p' }).disable();
				new Request({ url: '<?= $this->baseUrl() ?>/escorts-v2/revisions?a=apply&escort_id=<?= $this->request()->escort_id ?>', method: 'get', onSuccess: function (resp) {
					if ( resp.length ) {
						alert(resp);
						return;
					}
					
					self.close();
					//window.grid.load();
				} }).send();
			}, icon: 'add', caption: 'Apply Changes' });

			<?php if (in_array(Cubix_Application::getId(), array(APP_EG_CO_UK, APP_ED))) : ?>
            this.content.getElement('.btn-offline').addEvent('click', function (e) {
                e.stop();
                if ( confirm('Are you sure?') ) {
                    new Cubix.Overlay(self.content, { type: '40p' }).disable();
                    new Request({ url: this.get('href'), method: 'get', onSuccess: function (resp) {
                            if ( resp.length ) {
                                alert(resp);
                                return;
                            }
                            self.close();
                        } }).send();
                }

            });
			<?php endif; ?>
			this.content.getElement('.btn-decline').addEvent('click', function (e) {
				e.stop();

				if(confirm('Are you sure you want to decline ?')) {
					new Cubix.Overlay(self.content, { type: '40p' }).disable();
					new Request({ url: this.get('href'), method: 'get', onSuccess: function (resp) {
						self.close();
						//window.grid.load();
					} }).send();
				}
			});
			
		}
		
		<? if ( $package && (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT) ): ?>
			
			var confirmTransfer = function() {
				<? if ( $package->transfer_id ): ?>
				new Request({ url: '<?= $this->baseUrl() ?>/billing/transfers/confirm?id=<?= $package->transfer_id ?>', data: {'amount' : <?= $package->t_amount ?>}, method: 'post', onSuccess: function (resp) {
						
				} }).send();
				<? endif; ?>
			};
			
			<? if ( $this->new->status == Model_Escort_ProfileV2::REVISION_STATUS_NOT_APPROVED ): ?>
			new Cubix.Button(this.content.getElement('.btn-confirm-transfer'), { onClick: function () {
				
				<? if ( $package->transfer_id ): ?>
				new Cubix.Overlay(self.content, { type: '40p' }).disable();
				new Request({ url: '<?= $this->baseUrl() ?>/escorts-v2/revisions?a=apply&escort_id=<?= $this->request()->escort_id ?>', method: 'get', onSuccess: function (resp) {
					
					confirmTransfer();
					
					if ( resp.length ) {
						alert(resp);
						return;
					}
					
					self.close();
					//window.grid.load();
				} }).send();
				<? else: ?>
					if ( confirm('Phone Payment Status is : NOT PAID. You can\'t confirm transfer! \n You can approve only revision. Do you want to continue ?') ) {
						new Request({ url: '<?= $this->baseUrl() ?>/escorts-v2/revisions?a=apply&escort_id=<?= $this->request()->escort_id ?>', method: 'get', onSuccess: function (resp) {
										
							if ( resp.length ) {
								alert(resp);
								return;
							}

							self.close();
							//window.grid.load();
						} }).send();
					}
					return;
				<? endif; ?>
			}, icon: 'add', caption: 'Confirm Transfer and Revision' });
			<? else: ?>
				new Cubix.Button(this.content.getElement('.btn-confirm-transfer'), { onClick: function () {
				
					<? if ( $package->transfer_id ): ?>
					new Cubix.Overlay(self.content, { type: '40p' }).disable();
					new Request({ url: '<?= $this->baseUrl() ?>/billing/transfers/confirm?id=<?= $package->transfer_id ?>', data: {'amount' : <?= $package->t_amount ?>}, method: 'post', onSuccess: function (resp) {

						self.close();
						//window.grid.load();
					} }).send();
					<? else: ?>
						alert('Phone Payment Status is : NOT PAID. You can\'t confirm transfer!');
					<? endif; ?>
			}, icon: 'add', caption: 'Confirm Transfer' });
			<? endif; ?>
			
			this.content.getElement('.btn-reject-transfer').addEvent('click', function (e) {
				e.stop();
				new Cubix.Overlay(self.content, { type: '40p' }).disable();
				
				<? if ( $this->new->status == Model_Escort_ProfileV2::REVISION_STATUS_NOT_APPROVED ): ?>
				// revision decline url
				new Request({ url: this.get('href'), method: 'get', onSuccess: function (resp) {
					//self.close();
					//window.grid.load();
				} }).send();
				<? endif; ?>
				
				//transfer reject url
				new Request({ url: this.get('rel'), data: {'reject_reason' : 'phone transfer rejected'}, method: 'post', onSuccess: function (resp) {
					self.close();
					//window.grid.load();
				} }).send();
			});
			
		<? endif; ?>
		
		window.revisions_popup.content.getElements('.revision-escort-photos').addEvent('click', function (e) {
			e.stop();

			window.PhotosPopup.setTitle('Photos of Escort');
			window.PhotosPopup.escort_id = <?= $this->escort_id ?>;
			
			window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=<?= $this->escort_id ?>', function () {
				this.open();
			});
		});
	}.bind(this);
	
	init();
	this.removeEvent('loaded', callback);
});
</script>

<?php
// <editor-fold defaultstate="collapsed" desc="Formatted Output">
global $old, $new, $field_map, $diff, $defines, $view;

$defines = Zend_Registry::get('defines');
$view = $this;
$old = $this->old;
$new = $this->new;
$diff = $this->diff;

$defines['y_n_na_options'][0] = $defines['y_n_na_options'][''] = '-';
// $defines['breast_size_options'][0] = $defines['breast_size_options'][''] = '-';
$defines['kissing_options'][0] = $defines['kissing_options'][''] = '-';
$defines['blowjob_options'][0] = $defines['blowjob_options'][''] = '-';
$defines['cumshot_options'][0] = $defines['cumshot_options'][''] = '-';
$defines['ethnic_options'][0] = $defines['ethnic_options'][''] = '-';
$defines['eye_color_options'][0] = $defines['eye_color_options'][''] = '-';
$defines['hair_color_options'][0] = $defines['hair_color_options'][''] = '-';
$defines['hair_length_options'][0] = $defines['hair_length_options'][''] = '-';
$defines['y_n_oc_options'][0] = $defines['y_n_oc_options'][''] = '-';
$defines['pubic_hair_options'][0] = $defines['pubic_hair_options'][''] = '-';
$defines['sexual_orientation_options'][0] = $defines['sexual_orientation_options'][''] = '-';
$defines['phone_instr_options'][0] = $defines['phone_instr_options'][''] = '-';

$field_map = array(
	'showname' => array('label' => 'Showname'),
	'city_id' => array('label' => 'Base City', 'callback' => '__get_city'),
	'home_city_id' => array('label' => 'Home City', 'callback' => '__get_home_city'),
	'country_id' => array('label' => 'Country', 'callback' => '__get_country'),
	'ethnicity' => array('label' => 'Ethnicity', 'map' => $defines['ethnic_options']),
	'nationality_id' => array('label' => 'Nationality', 'callback' => '__get_nationality'),
	'measure_units' => array('label' => 'Measure Units', 'map' => $defines['metric_system']),
	'gender' => array('label' => 'Gender', 'map' => $defines['gender_options']),
	'height' => array('label' => 'Height', 'callback' => '__height_formatter'),
	'weight' => array('label' => 'Weight', 'callback' => '__weight_formatter'),
	'bust' => array('label' => 'Bust', 'callback' => '__bust_waist_hip_formatter'),
	'eye_color' => array('label' => 'Eye Color', 'map' => $defines['eye_color_options']),
	'hair_color' => array('label' => 'Hair Color', 'map' => $defines['hair_color_options']),
	'hair_length' => array('label' => 'Hair Length', 'map' => $defines['hair_length_options']),
	'pubic_hair' => array('label' => 'Pubic Hair', 'map' => $defines['pubic_hair_options']),
	'shoe_size' => array('label' => 'Shoe Size'),
	'cup_size' => array('label' => 'Breast Size', 'map' => $defines['breast_size_options']),
	'dress_size' => array('label' => 'Dress Size'),
	'is_smoking' => array('label' => 'Is Smoker?', 'map' => $defines['y_n_oc_options']),
	'is_drinking' => array('label' => 'Is Drinking?', 'map' => $defines['y_n_oc_options']),
	'sex_orientation' => array('label' => 'Sex Orientation', 'map' => $defines['sexual_orientation_options']),
	'availability' => array('label' => 'Availability', 'callback' => '__availability_formatter'),
	'zip' => array('label' => 'Contact Zip'),
	'characteristics' => array('label' => 'Characteristics'),
	'sex_availability' => array('label' => 'Sex Availability', 'callback' => '__sex_availability_formatter'),
	'about' => array('label' => 'About', 'callback' => '__about_formatter'),
	'phone_number' => array('label' => 'Contact Phone'),
	'phone_number_alt' => array('label' => 'Alt. Contact Phone'),
	'phone_instr' => array('label' => 'Phone Instructions', 'callback' => '__phone_instructions_formatter', 'comparator' => '__phone_instructions_comparator'),
	'email' => array('label' => 'Contact Email'),
	'website' => array('label' => 'Contact Web', 'comparator' => '__website_comparator'),
	'club_name' => array('label' => 'Club Name'),
	'street' => array('label' => 'Club Street'),
	'street_no' => array('label' => 'Club Street No'),
	'address_additional_info' => array('label' => 'Address additional info'),
	'skype_id' => array('label' => 'Skype ID'),
	
	'services' => array('label' => 'Services', 'callback' => '__services_formatter'),
	'keywords' => array('label' => 'Keywords', 'callback' => '__keywords_formatter'),
	/*'svc_blowjob' => array('label' => 'Blowjob', 'map' => $defines['blowjob_options']),
	'svc_cumshot' => array('label' => 'Cumshot', 'map' => $defines['cumshot_options']),
	'svc_69' => array('label' => '69', 'map' => $defines['y_n_na_options']),
	'svc_anal' => array('label' => 'Anal', 'map' => $defines['y_n_na_options']),*/
	'svc_additional' => array('label' => 'Additional', 'callback' => '__svc_add_formatter'),
	'times' => array('label' => 'Work Times', 'callback' => '__work_times_formatter'),
	'available_24_7' => array('label' => 'Work Times', 'callback' => '__available_24_7_formatter'),
	'birth_date' => array('label' => 'Birth Date', 'callback' => '__age_formatter'),

	'langs' => array('label' => 'Languages', 'callback' => '__langs_formatter'),
	'cities' => array('label' => 'Cities', 'callback' => '__cities_formatter'),
	'cityzones' => array('label' => 'Cityzones', 'callback' => '__cityzones_formatter'),
	'rates' => array('label' => 'Rates', 'comparator' => '__rates_comparator')
);

if(Cubix_Application::getId() == APP_A6){
	$field_map['video_link'] = array('label' => 'Contact Videolink');
}
// echo '<pre>';
// var_dump($new);
// echo '</pre>';

function _get_diff($field)
{
	global $new, $old, $field_map, $diff;
	
	// if ( ! isset($new->data[$field]) ) return '';
	
	$new_value = @$new->data[$field];
	$value = @$old->data[$field];
	
	$cls = false;
	if ( in_array($field, $diff['added']) ) $cls = 'added';
	elseif ( in_array($field, $diff['changed']) ) $cls = 'changed';
	elseif ( in_array($field, $diff['removed']) ) $cls = 'removed';
	
	if ( isset($field_map[$field]) ) {
		$_field = $field;
		$m = $field_map[$field];
		$field = $m['label'];
		
		if ( isset($m['map']) && ( isset($m['map'][$value]) || isset($m['map'][$new_value]) ) ) {
			$value = $m['map'][$value];
			$new_value = $m['map'][$new_value];
		}
		elseif ( isset($m['callback']) ) {
			$value = call_user_func_array($m['callback'], array($value, $old->data));
			$new_value = call_user_func_array($m['callback'], array($new_value, $new->data));
		}
	}
	
	if ( ! isset($m['comparator']) ) {
		if ( $cls == 'removed' ) {
			return '<span class="removed">' . $value . '</span>';
		}
		elseif ( $cls == 'added' ) {
			return '<span class="added">' . $new_value . '</span>';
		}
		elseif ( $cls == 'changed' ) {
			if ( Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT ) {
				return '<span class="removed">' . $value . '</span><span class="added">' . $new_value . '</span>';
			} else {
				return '<span class="added">' . $new_value . '</span><span class="removed">' . $value . '</span>';
			}
		}
		else {
			return '<span>' . ($value ? $value : '-') . '</span>';
		}
	}
	else {
		return call_user_func_array($m['comparator'], array($value, $new_value));
	}
}

function _get_plain($field)
{
	global $new, $old, $field_map, $diff;
	
	$value = @$new->data[$field];
	
	if ( isset($field_map[$field]) ) {
		$m = $field_map[$field];
		$field = $m['label'];
		
		if ( isset($m['map']) && isset($m['map'][$value]) ) {
			$value = $m['map'][$value];
		}
		elseif ( isset($m['callback']) ) {
			$value = call_user_func_array($m['callback'], array($value, $new));
		}
	}
}

function print_field($field)
{
	global $diff;
	
	if ( $diff ) {
		return _get_diff($field);
	}
	else {
		return _get_plain($field);
	}
}

function __rates_comparator($old, $new)
{
	global $defines;

	if ( ! $old && ! $new ) return '-';
	
	$currencies = Model_Currencies::getAllAssoc();
	
	if ( ! is_array($new) ) $new = array();
	if ( ! is_array($old) ) $old = array();

	foreach ( $old as $r ) {
		if ( ! isset($tmp_old[$r['availability']]) ) $tmp_old[$r['availability']] = array();
		$tmp_old[$r['availability']][] = $r;
	}
	$old = $tmp_old;
	
	$tmp_new = array();
	foreach ( $new as $r ) {
		if ( ! isset($tmp_new[$r['availability']]) ) $tmp_new[$r['availability']] = array();
		$tmp_new[$r['availability']][] = $r;
	}
	$new = $tmp_new;
	
	foreach ( $new as $k => $r ) {
		if ( ! isset($old[$k]) ) {
			$old[$k] = array();
		}
	}
	
	foreach ( $old as $k => $r ) {
		if ( ! isset($new[$k]) ) {
			$new[$k] = array();
		}
	}

	$html = '';
	
	$first = true;
	foreach ( $new as $k => $new_rates ) {
		$html .= '<table cellpadding="0" cellspacing="0" style="margin-left: ' . ($first ? '0' : '20') . 'px; float: left; width: 200px;">';
		$old_rates = $old[$k];
		
		$html .= '<tr><td colspan="2">';

		// >>> Get availability icon
		$icons = array();
		switch ($k)
		{
			case AVAILABLE_INCALL:
				$icons = array('incall');
				break;
			
			case AVAILABLE_OUTCALL:
				$icons = array('outcall');
				break;
			case 0:
				$icons = array('travel');
				break;
		}
		// <<<
	    
	    $title = $defines['available_for'][$k];
	    foreach ( $icons as $icon ) {
			if ( $icon == 'travel' ) {
				$html .= 'Travel Rates';
			}	
			else
				$html .= '<img src="/img/preview/icon_' . $icon . '3.gif" alt="' . $title . '" /> ';
	    }
	    $html .= $title;
	    $html .= '</td></tr>';
		
	    if ( count($old_rates) ) {
	    	foreach ( $new_rates as $j => $rate ) {
		    	$found = false;
				
				foreach ( $old_rates as $i => $old_rate ) {
					if ( $old_rate == $rate ) {
						$found = true;
						break;
					}
				}
				
				if ( $found ) {
					$new_rates[$j]['cls'] = '';
				}
				
				if ( ! $found ) {
					$new_rates[$j]['cls'] = 'added';
				}
			}
			
			foreach ( $old_rates as $i => $rate ) {
				$found = false;
				foreach ( $new_rates as $j => $new_rate ) {
					unset($new_rate['cls']);
					if ( $new_rate == $rate ) {
						$found = true;
						break;
					}
				}
				
				if ( ! $found ) {
		    		$rate['cls'] = 'removed';
		    		$new_rates[] = $rate;
				}
		    }
		}
		// If there are no old rates, that means that all rates in $new_rates
		// Are newly added
		else {
			foreach ( $new_rates as $i => $rate ) {
				$new_rates[$i]['cls'] = 'added';
			}
		}
		
		foreach ( $new_rates as $rate ) {
			$html .= '<tr><th style="width: auto">';

			$html .= '<span class="' . $rate['cls'] . '">';
			if ( $rate['type'] ) {
				$html .= $rate['type'];
			}
			else {
				$html .= $rate['time'] . ' ' . $defines['time_unit_options'][$rate['time_unit']];
			}
			$html .= '</span>';

			$html .= '</th><td>';
			$html .= '<span class="' . $rate['cls'] . '">' . $rate['price'] . ' ' . $currencies[$rate['currency_id']] . '</span>';
			$html .= '</td></tr>';
		}
		
		$html .= '</table>';
		$first = false;
	}
	
	return $html;
}

function __phone_instructions_comparator($old, $new)
{
	if ( $old && ! $new ) {
		return '<span class="removed">' . $old . '</span>';
	}
	elseif ( ! $old && $new ) {
		return '<span class="added">' . $new . '</span>';
	}
	elseif ( $old != $new ) {
		return '<span class="removed">' . $old . '</span><span class="added">' . $new . '</span>';
	}
	else {
		return '<span>' . ($old ? $old : '-') . '</span>';
	}
}

function __website_comparator($old, $new)
{
	if ( $old && ! $new ) {
		
		if(preg_match("~^(https|http)://~i",$old))
			return '<a target="_blank" class="removed" href="' . $old . '">' . $old . '</a>';
		else
			return '<a target="_blank" class="removed" href="http://' . $old . '">http://' . $old . '</a>';
	}
	elseif ( ! $old && $new ) {
		if(preg_match("~^(https|http)://~i",$new))
			return '<a target="_blank" class="added" href="' . $new . '">' . $new . '</a>';
		else
			return '<a target="_blank" class="added" href="http://' . $new . '">http://' . $new . '</a>';
	}
	elseif ( $old != $new ) {
		if(preg_match("~^(https|http)://~i",$new))
			return '<a target="_blank" class="removed" href="' . $old . '">' . $old . '</a><a target="_blank" class="added" href="' . $new . '">' . $new . '</a>';
		else
			return '<a target="_blank" class="removed" href="http://' . $old . '">http://' . $old . '</a><a target="_blank" class="added" href="http://' . $new . '">http://' . $new . '</a>';
	}
	else {
		if(preg_match("~^(https|http)://~i",$old))
			if (substr($old, 0, 7) == 'http://')
				return '<a target="_blank" class="plain" href="' . $old . '">' . $old . '</a>';
			else
				return '<a target="_blank" class="plain" href="http://' . $old . '">http://' . $old . '</a>';
		else
			return '-';
	}
}

function __sex_availability_formatter($value)
{
	global $defines;
	
	if ( is_array($value) ) return '';
	
	$values = explode(',', $value);
	
	$html = '';
	
	foreach ( $values as $value ) {
		$label = $defines['sex_availability_options'][$value];
		
		$html .= $label . '&nbsp;<img src="/img/preview/icon_' . $value . '.gif" width="12" height="12" alt="' . $label . '" />&nbsp;';
	}
	
	return $html;
}

function __phone_instructions_formatter($instr, $val)
{
	global $defines;

	if ( ! $val['phone_instr_no_withheld'] && ! $val['phone_instr'] && ! $val['phone_instr_other'] ) return NULL;

	$instr = "";

	if ( $val['phone_instr'] ) {
		$instr .= $defines['phone_instr_options'][$val['phone_instr']];
	}

//	var_dump($val['phone_instr_no_withheld']);
	if ( $val['phone_instr_no_withheld'] ) {
		//echo($defines['phone_instr_no_withheld_options']['1']);
		$instr .= ", " . $defines['phone_instr_no_withheld_options'][1];
	}

	if ( $val['phone_instr_other'] ) {
		$instr .= ", " . $val['phone_instr_other'];
	}

	return $instr;
}

function __services_formatter($val)
{
	global $defines;

	$html = "";
	$currencies = Model_Currencies::getAllAssoc();
	foreach ( $val as $service ) {
		if ( $defines['services']['common'][$service['service_id']] ) {
			$html .= $defines['services']['common'][$service['service_id']];
			if ( $service['price'] ) {
				$html .= " <span style='color:red; font-size: 11px'>extra charge: " . $service['price'] . "</span>";
				if ( $service['currency_id'] ) {
					$html .= " <span style='color:red; font-size: 11px'> " . $currencies[$service['currency_id']] . "</span>";
				}
			}
			
			$html .= "<br />";
		}
		
		if ( $defines['services']['extra'][$service['service_id']] ) {
			$html .= $defines['services']['extra'][$service['service_id']];
			if ( $service['price'] ) {
				$html .= " <span style='color:red; font-size: 11px'>extra charge: " . $service['price'] . "</span>";
				if ( $service['currency_id'] ) {
					$html .= " <span style='color:red; font-size: 11px'> " . $currencies[$service['currency_id']] . "</span>";
				}
			}
			
			$html .= "<br />";
		}

		if ( $defines['services']['fetish'][$service['service_id']] ) {
			$html .= $defines['services']['fetish'][$service['service_id']];
			if ( $service['price'] ) {
				$html .= " <span style='color:red; font-size: 11px'>extra charge: " . $service['price'] . "</span>";
				if ( $service['currency_id'] ) {
					$html .= " <span style='color:red; font-size: 11px'> " . $currencies[$service['currency_id']] . "</span>";
				}
			}
			$html .= "<br />";
		}

        if (in_array(Cubix_Application::getId(), array(APP_A6))){
            if ( $defines['services']['virtual'][$service['service_id']] ) {
                $html .= $defines['services']['virtual'][$service['service_id']];
                if ( $service['price'] ) {
                    $html .= " <span style='color:red; font-size: 11px'>extra charge: " . $service['price'] . "</span>";
                    if ( $service['currency_id'] ) {
                        $html .= " <span style='color:red; font-size: 11px'> " . $currencies[$service['currency_id']] . "</span>";
                    }
                }
                $html .= "<br />";
            }
        }
	}

	return $html;
}

function __keywords_formatter($val)
{
	global $defines;
	
	$html = '';

	$keywords = $defines['keywords'];
	if (Cubix_Application::getId() == APP_ED)
		$keywords = $defines['keywords_ed'];

	if ($val)
		foreach ( $val as $keyword ) {
			if ( $keywords[$keyword] ) {
				$html .= $keywords[$keyword];
				$html .= "<br />";
			}
		}
	
	return $html;
}

function __availability_formatter($value)
{
	global $defines;
	
	//$label = $defines['available_for'][$value];
	
	$html = '';

	if ( $value['incall_type'] ) {
		$html .= '<img src="/img/preview/icon_incall3.gif" alt="' . $defines['avail_incall_type_options'][$value['incall_type']] . '" /> Incall: ';
		if ( $value['incall_type'] == AVAIL_INCALL_TYPE_HOTEL_ROOM ) {
			$html .= "<span style='padding-right: 10px;'>" . $defines['avail_incall_type_options'][$value['incall_type']] . "</span>";

			for ( $i = 1; $i <= $value['incall_hotel_room']; $i++ ) {
				$html .= "<img src='/img/icon_star.png' width='14' height='13' alt='' />";
			}

			$html .= '<br />';
            $html .= ( $value['incall_other'] ) ? '<p id="incall-other-details">Incall other details: ' . $value['incall_other'] . "</p>" : null;
		}
		else {
			$html .= $defines['avail_incall_type_options'][$value['incall_type']] . '<br />';
            $html .= ( $value['incall_other'] ) ? '<p id="incall-other-details">Incall other details: ' . $value['incall_other'] . "</p>" : null;
        }
	}

	if ( $value['outcall_type'] ) {
		$html .= '<img src="/img/preview/icon_outcall3.gif" alt="' . $defines['avail_outcall_type_options'][$value['outcall_type']] . '" /> Outcall: ';
		$html .=  $defines['avail_outcall_type_options'][$value['outcall_type']] . '<br />';
        $html .=  ( $value['outcall_other'] ) ? '<p id="outcall-other-details">Outcall other details: ' . $value[ 'outcall_other' ] . '</p>' : null;

    }

	/*$icons = array();
	
	if ( $value == 1 || $value = 3 ) {
		$icons = array('incall');
	}
	elseif ( $value == 2 ) {
		$icons = array('outcall');
	}
	elseif ( $value == 3 ) {
		$icons = array('incall', 'outcall');
	}
	
	foreach ( $icons as $icon ) {
		$html .= '<img src="/preview/icon_' . $icon . '3.gif" alt="' . $label . '" /> ';
	}
	
	$html .= $label;*/
	
	return $html;
}

function __age_formatter($value, $val)
{
	$timestamp = $value;

	/*if ( !is_int($timestamp) ) {
		$timestamp = strtotime($timestamp);
	}*/

	if ( ! $timestamp ) return '-';
	
	if ( $timestamp === false || is_null($timestamp) ) return null;
	list($year, $month, $day) = explode('-', date('Y-m-d', $timestamp));
	$year_diff  = date("Y") - $year;
	$month_diff = date("m") - $month;
	$day_diff   = date("d") - $day;
	if ($day_diff < 0 || $month_diff < 0)
		$year_diff--;
	return $year_diff;
}

function __date_formatter($value)
{
	if ( ! $value ) return '';
	return date('d M Y', $value);
}

function __get_city($city_id)
{
	$model = new Model_Geography_Cities();
	return $model->get($city_id)->title_en;
}

function __get_home_city($home_city_id)
{
	$model = new Model_Geography_Cities();
	$home_city = $model->get($home_city_id);
	$m_country = new Model_Geography_Countries();
	$home_country = $m_country->get($home_city->country_id);

	$home_city_country = '-';
	if ( $home_city->title_en )  {
		$home_city_country = $home_city->title_en . ' (' . $home_country->title_en . ')';
	}

	return $home_city_country;
}

function __get_country($country_id)
{
	$model = new Cubix_Geography_Countries(); 
	return $model->get($country_id)->title_en;
}

function __get_nationality($nationality_id)
{
	if ( ! $nationality_id ) return '-';
	
	$model = new Model_Nationalities();
	$n = $model->get($nationality_id);
	
	return '<span style="padding-right:5px">' . $n->title . '</span> <img src="/img/preview/icon_flag_' . $n->iso . '.gif" alt="' . $n->title . '" title="' . $n->title . '" />';
}

function __height_formatter($height)
{
	if ( ! $height ) return '-';

	if ( Cubix_Application::getById()->measure_units == ROYAL_SYSTEM ) {
		$height = Cubix_UnitsConverter::convert($height, 'cm', 'ftin') . ' feet\' inch"';
	}
	else {
        /*Grigor */
        $height .= ' cm';
        /**/
//		$height .= ' kg';
	}

	return $height;
}

function __weight_formatter($weight)
{
	if ( ! $weight ) return '-';

	if ( Cubix_Application::getById()->measure_units == ROYAL_SYSTEM ) {
		if ( $data['height'] ) {
			$data['height'] = Cubix_UnitsConverter::convert($weight, 'ftin', 'cm');
		}

		$weight = Cubix_UnitsConverter::convert($weight, 'kg', 'lbs') . ' lbs';
	}
	else {
		$weight .= ' kg';
	}

	return $weight;
}

function __bust_waist_hip_formatter($number, $val)
{
	if ( ! $number || ! $val['waist'] || ! $val['hip'] ) return '-';
	
	return intval($number) . '-' . intval($val['waist']) . '-' . intval($val['hip']) . ' cm';
}

function __work_times_formatter($times, $val)
{
	if ( $val['available_24_7'] ) return '<table cellpadding="0" cellspacing="0"><tr><td><span>24/7</span></td></tr></table>';

	if ( ! is_array($times) ) $times = array();
	
	$sdate = date('l', strtotime(date('Y') . 'W' . date('W') . '0'));
	
	$html = '<table cellpadding="0" cellspacing="0">';
	foreach ( $times as $i => $time ) {
		$from = $time['time_from'];
		$from_m = $time['time_from_m'];
		$from = (strlen($from) == 1 ? '0' : '') . $from . ':' . (strlen($from_m) == 1 ? '0' : '') . $from_m;
		
		$to = $time['time_to'];
		$to_m = $time['time_to_m'];
		$to = (strlen($to) == 1 ? '0' : '') . $to . ':' . (strlen($to_m) == 1 ? '0' : '') . $to_m;
		
		$html .= '<tr><td>' . date('l', mktime(null, null, null, null, $sdate + $i)) . ':</td><td>' . $from . ' - ' . $to . '</td></tr>';
	}
	$html .= '</table>';
	
	return $html;
}

function __available_24_7_formatter($available_24_7)
{
	if ( $available_24_7 ) 
		return '<table cellpadding="0" cellspacing="0"><tr><td><span>24/7</span></td></tr></table>';
	else {
		return '<table cellpadding="0" cellspacing="0"><tr><td><span></span></td></tr></table>';
	}
}

function __about_formatter($about)
{
	$defines = $GLOBALS['defines'];

	if ( ! is_array($about) ) $about = array();

	$html = '';
	foreach ( $about as $lang_id => $text ) {
		if ( 0 == strlen(trim($text)) ) continue;

		//$html .= '<img src="/img/preview/icon_flag_' . $lang_id . '.gif" alt="' . $defines['language_options'][$lang_id] . '" title="' . $defines['language_options'][$lang_id] . '" /> ' . htmlspecialchars($text) . '<br />';
		$html .= '<img src="/img/preview/icon_flag_' . $lang_id . '.gif" alt="' . $defines['language_options'][$lang_id] . '" title="' . $defines['language_options'][$lang_id] . '" /> ' . strip_tags(htmlspecialchars_decode($text), '<img><b><i><u><strike><p>') . '<br />';
	}
	$html .= '';

	return $html;
}

function __svc_add_formatter($about)
{
	$defines = $GLOBALS['defines'];

	if ( ! is_array($about) ) $about = array();

	$html = '';
	foreach ( $about as $lang_id => $text ) {
		if ( 0 == strlen(trim($text)) ) continue;

		//$html .= '<img src="/img/preview/icon_flag_' . $lang_id . '.gif" alt="' . $defines['language_options'][$lang_id] . '" title="' . $defines['language_options'][$lang_id] . '" /> ' . htmlspecialchars($text) . '<br />';
		$html .= '<img src="/img/preview/icon_flag_' . $lang_id . '.gif" alt="' . $defines['language_options'][$lang_id] . '" title="' . $defines['language_options'][$lang_id] . '" /> ' . $text . '<br />';
	}
	$html .= '';

	return $html;
}

function __langs_formatter($langs)
{
	global $defines;
	
	if ( ! is_array($langs) ) $langs = array();
	
	foreach ( $langs as $i => $lang ) {
		$html .= '<div>' . $defines['language_options'][$lang['lang_id']] . '&nbsp;';
		
		for ( $i = 1; $i <= 4; $i++ ) {
			$flag = ($lang['level'] >= $i) ? 'on' : 'off';
			$html .= '<img src="/img/preview/star_' . $flag . '.gif" width="15" height="13" alt="" />';
		}
		
		$html .= '</div>';
	}
	
	return $html;
}

function __cities_formatter($cities, $val)
{
	if ( ! is_array($cities) ) $cities = array();
	
	$model = new Model_Geography_Cities();
	
	$titles = array();
	foreach ( $cities as $city ) {
		if ( $city['city_id'] == $val['city_id'] )	continue;
		$titles[] = $model->get($city['city_id'])->title_en;;
	}
	
	return implode(', ', $titles);
}

function __cityzones_formatter($cityzones, $val)
{
	if ( ! is_array($cityzones) ) $cityzones = array();

	$model = new Model_Geography_Cityzones();

	$titles = array();
	foreach ( $cityzones as $zone ) {
		if ( $zone['city_zone_id'] == $val['city_zone_id'] )	continue;
		$titles[] = $model->get($zone['city_zone_id'])->title_en;;
	}

	return implode(', ', $titles);
}

$drawMarkOfflineButton  =false;
$bu_user = Zend_Auth::getInstance()->getIdentity();

if (in_array(Cubix_Application::getId(), array(APP_EG_CO_UK, APP_ED,/* APP_AE, APP_BL, APP_6B*/))){
    $drawMarkOfflineButton  = true;
}
//elseif(Cubix_Application::getId()== APP_EF && in_array($bu_user->type,array("superadmin", "admin", "sales manager"))){
//    $drawMarkOfflineButton  = true;
//}
// </editor-fold>
?>

<? if ( $this->warning ):  ?>
<div class="warning">
	<strong class="big">Fraud warning!</strong><br/>
	<?= $this->warning ?>
</div>
<? endif ?>


<div id="preview">
	<fieldset class="m20 p10">
		<legend>Compare Revisions</legend>

		<div class="fleft">
			<select name="revision">
				<option value="">- revision -</option>
			<? foreach ( $this->revisions as $revision ): ?>
				<option value="<?= $revision->revision ?>"<?= $this->new->revision == $revision->revision ? 'selected="selected"' : '' ?>>#<?= $revision->revision ?> (<?= date('d M Y, H:i', $revision->date_updated) ?>) - <?= Model_Escort_ProfileV2::getProfileStatusLabel($revision->status) ?>&nbsp;&nbsp;</option>
			<? endforeach; ?>
			</select>
		</div>

		<div class="fleft" style="font-size: 13px">
			Registered: <strong><?= date('d M Y', strtotime($this->escort->date_registered)) ?></strong>
		</div>

		<? if ( $this->active_package ): ?>
		<div class="fleft" style="font-size: 13px">
			Active Package:
            <strong>
                <?= $this->active_package->name ?> (<?= date("d M Y", strtotime($this->active_package->date_activated)) ?>
                -
                <? if(empty($this->active_package->expiration_date) || in_array($this->active_package->package_id, array(128))): ?>
                    Never Expires
                <? else: ?>
                    <?= date("d M Y", strtotime($this->active_package->expiration_date)) ?>)
                <? endif ?> )
            </strong>
		</div>
		<? endif; ?>
		
		<div class="fleft" style="font-size: 13px">
			Escort ID: <strong><?= $this->escort_id ?></strong>
		</div>
        <? if (Cubix_Application::getId() == APP_ED) : ?>
            <? if ($this->escort->country_id == 68) : ?>
                <div class="fleft" style="font-size: 16px; font-weight: bold; color: red; margin-left: 5px;">USA</div>
            <? elseif ($old->data['country_id'] == 68 && $new->data['country_id'] != 68): ?>
                <div class="fleft" style="font-size: 16px; font-weight: bold; color: red; margin-left: 5px;">moved from USA</div>
            <? elseif ($old->data['country_id'] != 68 && $new->data['country_id'] == 68): ?>
                <div class="fleft" style="font-size: 16px; font-weight: bold; color: red; margin-left: 5px;">moved to USA</div>
            <?endif; ?>
        <?endif; ?>

		<div class="endfloat"></div>
	</fieldset>
	
	<?php
		// Get escort photos, find main photo 
		// and distinguish public photos from private photos
		$escort = new Model_EscortItem();
		$escort->setId($this->escort_id);
		$escort->setAdapter(Zend_Registry::get('db'));
		
		$_photos = $escort->getPhotos();
		
		$photos = array('public' => array(), 'private' => array());
		
		$main_photo = false;
		foreach ( $_photos as $i => $photo ) {
			if ( $photo->is_main ) {
				$main_photo = $photo;
				unset($_photos[$i]);
				continue;
			}
			
			$photos[($photo->type == ESCORT_PHOTO_TYPE_PRIVATE ? 'private' : 'public')][] = $photo;
		}

        foreach($photos['public'] as $key => $p_photo){
            if(Cubix_Application::getId() == APP_ED && $p_photo->type == ESCORT_PHOTO_TYPE_DISABLED){
                unset($photos['public'][$key]);
            }
        }

		
		foreach ( $photos as $type => $ps ) {
			$photos[$type] = array();
			for ( $i = 0; $i < count($ps); $i += 3 ) {
				$photos[$type][] = array_slice($ps, $i, 3);
			}
		}

	?>

	<div class="two-cols">
		<div class="leftcol">
			<? if ( $main_photo ): ?>
			<!-- ESCORT MAIN PHOTO -->
			<div class="lbox">
				<div class="lbox-i">
					<div class="lbox-ii">
						<? /*<a class="revision-escort-photos" onclick="return false" href="<?= $main_photo->getUrl('') ?>">*/ ?>
						<a target="_blank" href="<?= $main_photo->getUrl('') ?>?origano=true">
							<img src="<?= $main_photo->getUrl('medium') ?>" width="225" height="300" alt="<?= $this->new->showname ?>" />
						</a>
					</div>
				</div>
			</div>
			<!-- END OF ESCORT MAIN PHOTO -->
			<? endif; ?>
	
			<!-- MORE PHOTOS -->
			<div class="thumbs" id="container_thumbs">
				<? foreach ( $photos['public'] as $line ): ?>
				<div class="line-small">
					<? foreach ( $line as $photo ): ?>
                    <div class="thumb">
						<? if ( $photo->status == Model_Escort_Photos::STATUS_VERIFIED ): ?>
				    	<div class="p100-small"></div>
				    	<? endif; ?>
                        <span class="plus"><img src="/img/preview/icon_plus.gif" alt="" title=""></span>
						<? /*<a class="revision-escort-photos" onclick="return false" href="<?= $photo->getUrl('') ?>">*/ ?>
						<a target="_blank" href="<?= $photo->getUrl('') ?>?origano=true">
							<img src="<?= $photo->getUrl('sthumb') ?>" alt="" height="103" width="76">
						</a>
					</div>
					<? endforeach; ?>
				</div>
				<? endforeach; ?>
			</div>
			<!-- END OF MORE PHOTOS -->
			
			<? if ( count($photos['private']) ): ?>
			<!-- PRIVATE PHOTOS -->
			<div class="thumbs" id="container_private_thumbs">
				<h3>Private Photos</h3>
				<? foreach ( $photos['private'] as $line ): ?>
				<div class="line-small">
					<? foreach ( $line as $photo ): ?>
					<div class="thumb">
						<? if ( $photo->status == Model_Escort_Photos::STATUS_VERIFIED ): ?>
				    	<div class="p100-small"></div>
				    	<? endif; ?>
						<span class="plus"><img src="/img/preview/icon_plus.gif" alt="" title=""></span>		            
						<a class="revision-escort-photos" onclick="return false" href="<?= $photo->getUrl('') ?>">
							<img src="<?= $photo->getUrl('sthumb') ?>" alt="" height="103" width="76">
						</a>
					</div>
					<? endforeach; ?>
				</div>
				<? endforeach; ?>
	        </div>
			<!-- END OF PRIVATE PHOTOS -->
			<? endif; ?>
		</div>
		
		<div class="rightcol">

            <? if(in_array(Cubix_Application::getId(), [APP_ED, APP_EG_CO_UK, APP_BL, APP_EM])): ?>
                <? if ($this->escort->registered_ip || $this->last_ip): ?>
                <div class="alert" style="margin-bottom: 5px;text-align: center;background: #8bc34a1a;border: 1px solid #4CAF50;padding: 10px;">
                    <? if ($this->escort->registered_ip): ?>
                        <div class="inner ">
                            <label><b>Registered IP</b></label>
                            <?= $this->geoip($this->escort->registered_ip)  ?>
                        </div>
                        <div class="clear"></div>
                    <? endif; ?>

                    <? if ($this->last_ip): ?>
                        <div class="inner">
                            <label><b>Last IP</b></label>
                            <div class="ip-info-box">
                                <div class="close"></div>
                                <ul>
                                    <? foreach($this->ip_info as $ip): ?>
                                        <li><span> <?= $ip->last_date ?></span> | <span> <?= $ip->ip ?></span>  </li>
                                    <? endforeach;?>
                                </ul>
                            </div>
                            <?= $this->last_ip ? $this->geoip($this->last_ip, count($this->ip_info)) : '-' ?>
                        </div>
                        <div class="clear"></div>
                    <? endif; ?>
                </div>
                <? endif ?>
            <? endif ?>

			<? if ( $this->new->status == Model_Escort_ProfileV2::REVISION_STATUS_NOT_APPROVED && ! $this->request()->phone_reg ): ?>
			<div class="alert" style="margin-bottom: 20px; text-align: center; background: #fee; border: 1px solid #fdd; padding: 10px">
				<strong style="font-size: 18px">This revision of profile is not approved</strong>
				<div class="clear"></div>
				
				<? if($this->not_ver_user): ?>
					<p><strong style="color:red;font-size: 18px">NOT VERIFIED USER </strong></p>
				<? endif; ?>
					
				<? if($this->is_offline): ?>
					<p><strong style="color:red;font-size: 18px">STATUS OFFLINE </strong></p>
				<? endif; ?>
				 
                <? if($this->is_profile_partialy == false): ?>
				<div style="width: fit-content; margin: 10px auto 0 auto">
					<div class="fleft" style="margin-right: 5px">
						<a class="btn-apply"></a>
						<div class="clear"></div>
					</div>
					
					<div class="fleft" style="font-size: 140%; padding-top: 2px; margin-right:5px">
						or <a style="font-weight: bold" class="btn-decline" href="<?= $this->baseUrl() ?>/escorts-v2/revisions?a=decline&escort_id=<?= $this->request()->escort_id ?>">Decline</a>
						<div class="clear"></div>
					</div>

					<div class="fleft" style="font-size: 140%; padding-top: 2px;margin-right:5px">
						or <a style="font-weight: bold" class="btn-edit-revision" href="">Edit Revision</a>
						<div class="clear"></div>
					</div>
                    <?php if ($drawMarkOfflineButton):?>
                        <div class="fleft" style="font-size: 140%; padding-top: 2px; margin-right:5px">
                            or <a style="font-weight: bold" class="btn-offline" href="<?= $this->baseUrl() ?>/escorts-v2/revisions?a=apply&m=offline&escort_id=<?= $this->request()->escort_id ?>">Mark Offline</a>
                            <div class="clear"></div>
                        </div>
                    <? endif;?>
					
					<div class="clear"></div>
				</div>
                <? else: ?>
                <p><strong style="font-size: 18px">This User's profile is not complete yet. No changes are allowed!</strong></p>
                <? endif; ?>

			</div>
			<? endif; ?>
			
			<? if ( $package && (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT) ): ?>
			<div class="alert" style="margin-bottom: 20px; text-align: center; background: #fee; border: 1px solid #fdd; padding: 10px">
				
				<div style="text-align: left; margin-bottom: 15px;">
					<span style="font-size: 14px;">Package Name: <strong><?= $package->package_name ?></strong></span><br/>
					<span style="font-size: 14px;">Activate package <?= ( $package->activation_type == 9 ) ? '<strong>ASAP</strong>' : '<strong>on ' . date('d M Y, H:i', strtotime($package->activation_date)) . '</strong>' ?></strong></span><br/>
				</div>
				
				<? if ( $this->new->status == Model_Escort_ProfileV2::REVISION_STATUS_NOT_APPROVED): ?>
				<strong style="font-size: 18px">This revision of profile is not approved</strong>
				<? endif; ?>
				<div class="clear"></div>
				
				<div style="width: 365px; margin: 10px auto 0 auto">
					<div class="fleft" style="margin-right: 5px">
						<a class="btn-confirm-transfer"></a>
						<div class="clear"></div>
					</div>
					
					<div class="fleft" style="font-size: 140%; padding-top: 2px; margin-right:5px">
						or <a style="font-weight: bold" class="btn-reject-transfer" rel="<?= $this->baseUrl() ?>/billing/transfers/reject?id=<?= $package->transfer_id ?>" href="<?= $this->baseUrl() ?>/escorts-v2/revisions?a=decline&escort_id=<?= $this->request()->escort_id ?>">Reject Transfer</a>
						<div class="clear"></div>
					</div>
					
					<div class="clear"></div>
				</div>
			</div>
			<? endif; ?>
			
			<!-- SETCARD INFO BLOCK -->
			<div class="detail-infobox">
				<span><strong>Viewed:</strong> 0x</span>
				<span><strong>Last modified:</strong> -</span>
				<span><strong>Created:</strong> -</span>
			</div>
			<!-- END SETCARD INFO BLOCK -->
	
			<!-- ABOUT BLOCK -->
			<div class="cbox-small">
				<div class="cbox-small-i">
					<div class="cbox-small-ii">
						<h2>
							<?php 
								if(Cubix_Application::getId() == APP_ED){
									if(print_field('type') == '<span>-</span>'){
										$category_type = $this->escort->type;
									}else{
										$category_type = print_field('type');
									}
									echo str_replace( array(1, 2, 3), array('Escort','BDSM','Massage' ), $category_type );
								}else{
									echo 'Escort';
								}
							?>
							<?= print_field('showname') ?>
						</h2>
						<? $_slogan = print_field('slogan'); ?>
						<? if( preg_match('#added|removed#', $_slogan) ): ?>
						<div class="detail-tabulka">
							<table cellpadding="0" cellspacing="0" style="margin-left:10px">
								<tr>
									<th>Slogan:</th>
									<td><?= $_slogan; ?></td>
								</tr>
							</table>
						</div>
						<? endif; ?>
						<div class="icon-about">
							<img src="/img/preview/icon_about.gif" alt="Escort <?= $this->profile->showname ?>" title="Escort <?= $this->profile->showname ?>" />
						</div>
						
						<div class="detail-tabulka">
							<table cellpadding="0" cellspacing="0" style="margin-left:10px">
								<? $_nationality_id = print_field('nationality_id'); ?>
								<? if( preg_match('#added|removed#', $_nationality_id) ): ?>
								<tr>
									<th>Nationality:</th>
									<td><?= $_nationality_id ?></td>
								</tr>
								<? endif; ?>
								
								<? $_ethnicity = print_field('ethnicity'); ?>
								<? if( preg_match('#added|removed#', $_ethnicity) ): ?>
								<tr>
									<th>Ethnic:</th>
									<td><?= $_ethnicity ?></td>
								</tr>
								<? endif; ?>
								
								<? $_birth_date = print_field('birth_date'); ?>
								<? if( preg_match('#added|removed#', $_birth_date) ): ?>
								<tr>
									<th>Age:</th>
									<td><?= $_birth_date ?></td>
								</tr>
								<? endif; ?>
								
								<? $_eye_color = print_field('eye_color'); ?>
								<? if( preg_match('#added|removed#', $_eye_color) ): ?>
								<tr>
									<th>Eyes:</th>
									<td><?= $_eye_color ?></td>
								</tr>
								<? endif; ?>
								
								<? $_hair_color = print_field('hair_color'); ?>
								<? if( preg_match('#added|removed#', $_hair_color) ): ?>
								<tr>
									<th>Hair:</th>
									<td><?= $_hair_color ?></td>
								</tr>
								<? endif; ?>

								<? $_hair_length = print_field('hair_length'); ?>
								<? if( preg_match('#added|removed#', $_hair_length) ): ?>
								<tr>
									<th>Hair Length:</th>
									<td><?= $_hair_length ?></td>
								</tr>
								<? endif; ?>
								
								<? $_pubic_hair = print_field('pubic_hair'); ?>
								<? if( preg_match('#added|removed#', $_pubic_hair) ): ?>
								<tr>
									<th>Pubic Hair:</th>
									<td><?= $_pubic_hair ?></td>
								</tr>
								<? endif; ?>
								
								<? $_height = print_field('height'); ?>
								<? if( preg_match('#added|removed#', $_height) ): ?>
								<tr>
									<th>Height:</th>
									<td><?= $_height ?></td>
								</tr>
								<? endif; ?>
								
								<? $_weight = print_field('weight'); ?>
								<? if( preg_match('#added|removed#', $_weight) ): ?>
								<tr>
									<th>Weight:</th>
									<td><?= $_weight ?></td>
								</tr>
								<? endif; ?>
								
								<? $_bust = print_field('bust'); ?>
								<? if( preg_match('#added|removed#', $_bust) ): ?>
								<tr>
									<th>Bust-Waist-Hip:</th>
									<td><?= $_bust ?></td>
								</tr>
								<? endif; ?>
								
								<? $_cup_size = print_field('cup_size'); ?>
								<? if( preg_match('#added|removed#', $_cup_size) ): ?>
								<tr>
									<th>Cup size:</th>
									<td><?= $_cup_size ?></td>
								</tr>
								<? endif; ?>
								
								<? $_shoe_size = print_field('shoe_size'); ?>
								<? if( preg_match('#added|removed#', $_shoe_size) ): ?>
								<tr>
									<th>Shoe size:</th>
									<td><?= $_shoe_size ?></td>
								</tr>
								<? endif; ?>
								
								<? $_dress_size = print_field('dress_size'); ?>
								<? if( preg_match('#added|removed#', $_dress_size) ): ?>
								<tr>
									<th>Dress size:</th>
									<td><?= $_dress_size ?></td>
								</tr>
								<? endif; ?>
								
								<? $_is_smoking = print_field('is_smoking'); ?>
								<? if( preg_match('#added|removed#', $_is_smoking) ): ?>
								<tr>
									<th>Smoker:</th>
									<td><?= $_is_smoking ?></td>
								</tr>
								<? endif; ?>
								
								<? $_is_drinking = print_field('is_drinking'); ?>
								<? if( preg_match('#added|removed#', $_is_drinking) ): ?>
								<tr>
									<th>Drinking:</th>
									<td><?= $_is_drinking ?></td>
								</tr>
								<? endif; ?>
								
								<? $_characteristics = print_field('characteristics'); ?>
								<? if( preg_match('#added|removed#', $_characteristics) ): ?>
								<tr>
									<th>Characteristics:</th>
									<td><?= $_characteristics ?></td>
								</tr>
								<?endif; ?>
								
								<? $_langs = print_field('langs'); ?>
								<? if( preg_match('#added|removed#', $_langs) ): ?>
								<tr>
									<th>Languages:</th>
									<td>
										<?= $_langs ?>
									</td>
								</tr>
								<? endif; ?>
								
								<? $_availability = print_field('availability'); ?>
								<? if( preg_match('#added|removed#', $_availability) ): ?>
								<tr>
									<th>Available for:</th>
									<td>
										<?= $_availability ?>
									</td>
								</tr>
								<? endif; ?>
								
								<? $_sex_orientation = print_field('sex_orientation'); ?>
								<? if( preg_match('#added|removed#', $_sex_orientation) ): ?>
								<tr>
									<th>Sex Orientation:</th>
									<td>
										<?= $_sex_orientation ?>
									</td>
								</tr>
								<? endif; ?>
								
								<? $_sex_availability = print_field('sex_availability'); ?>
								<? if( preg_match('#added|removed#', $_sex_availability) ): ?>
								<tr>
									<th>Service for:</th>
									<td>
										<?= $_sex_availability ?>
									</td>
								</tr>
								<? endif; ?>
								
								<? $_about = print_field('about'); ?>
								<? if( preg_match('#added|removed#', $_about) ): ?>
								<tr>
									<th>About me:</th>
									<td><?= $_about ?></td>
								</tr>
								<? endif; ?>
							</table>
						</div>
					</div>
				</div>
			</div>
			<!-- END OF ABOUT BLOCK -->
			
			<? if ( Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == 33 || Cubix_Application::getId() == 22 ): ?>
			<!-- HOBBIES BLOCK -->
			<div class="cbox-small">
				<div class="cbox-small-i">
					<div class="cbox-small-ii">
						<h2>Hobbies and Interests</h2>
						
						
						<div class="detail-tabulka">
							<table cellpadding="0" cellspacing="0" style="margin-left:10px">
								<tr>
									<th>Favorite Cuisine:</th>
									<td><?= print_field('cuisine') ?></td>
								</tr>
								<tr>
									<th>Favorite Drink:</th>
									<td><?= print_field('drink') ?></td>
								</tr>
								<tr>
									<th>Favorite Flower:</th>
									<td><?= print_field('flower') ?></td>
								</tr>
								<tr>
									<th>Favorite Perfume:</th>
									<td><?= print_field('perfume') ?></td>
								</tr>
								<tr>
									<th>Favorite Designer:</th>
									<td><?= print_field('designer') ?></td>
								</tr>
								<tr>
									<th>Interests:</th>
									<td><?= print_field('interests') ?></td>
								</tr>
								<tr>
									<th>Sports:</th>
									<td><?= print_field('sports') ?></td>
								</tr>
								<tr>
									<th>Gifts:</th>
									<td><?= print_field('gifts') ?></td>
								</tr>
								<tr>
									<th>Other Hobbies:</th>
									<td><?= print_field('hobbies') ?></td>
								</tr>
							</table>
						</div>
					</div>
				</div>
			</div>
			<!-- END OF HOBBIES BLOCK -->
			<? endif; ?>


            <? if((Cubix_Application::getId() == APP_ED && $this->escort->country_id == 68) == false) : ?>
                <!-- SERVICES BLOCK -->
                <div class="cbox-small">
                    <div class="cbox-small-i">
                        <div class="cbox-small-ii">
                            <h2>Escort Services</h2>
                            <div class="icon-services">
                                <img src="/img/preview/icon_services.gif" alt="Escort Graci37" title="Escort Graci37" />
                            </div>
                            <div class="detail-tabulka">
                                <table cellpadding="0" cellspacing="0" style="margin-left:10px">

                                    <? $_services = print_field('services'); ?>
                                    <? if( preg_match('#added|removed#', $_services) ): ?>
                                        <tr>
                                            <th>Services:</th>
                                            <td><?= $_services ?></td>
                                        </tr>
                                    <? endif; ?>

                                    <? $_svc_additional = print_field('svc_additional'); ?>
                                    <? if( preg_match('#added|removed#', $_svc_additional) ): ?>
                                        <tr>
                                            <th>Additional:</th>
                                            <td><?= $_svc_additional ?></td>
                                        </tr>
                                    <? endif; ?>

                                    <? if (in_array(Cubix_Application::getId(), array(APP_EG_CO_UK, APP_EG, APP_6C, APP_ED))): ?>
                                        <? $_keywords = print_field('keywords'); ?>
                                        <? if( preg_match('#added|removed#', $_keywords) ): ?>
                                            <tr>
                                                <th>Keywords:</th>
                                                <td><?= $_keywords ?></td>
                                            </tr>
                                        <? endif; ?>
                                    <? endif; ?>

                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END OF SERVICES BLOCK -->

                <!-- RATES BLOCK rrr-->
                <div class="cbox-small">
                    <div class="cbox-small-i">
                        <div class="cbox-small-ii">
                            <h2>Escort Rates</h2>
                            <div class="icon-rates">
                                <img src="/img/preview/icon_rate.gif" alt="Escort Rates" title="Escort Rates" />
                            </div>
                            <div class="detail-tabulka">
                                <? $_rates = print_field('rates'); ?>
                                <? if( preg_match('#added|removed#', $_rates) ): ?>
                                    <?= $_rates ?>
                                <? endif; ?>
                            </div>
                            <div class="endfloat"></div>
                        </div>
                    </div>
                </div>
                <!-- END OF RATES BLOCK -->
            <? endif; ?>


			
			<? /*<!-- CITY TOURS BLOCK -->
			<div class="cbox-small">
				<div class="cbox-small-i">
					<div class="cbox-small-ii">
						<h2>City tours</h2>
						<div class="icon-citytours">
							<img src="/preview/icon_tour.gif" alt="City Tours" title="City Tours" />
						</div>
						<div class="detail-tabulka">
							<table cellpadding="0" cellspacing="0" style="margin-left:10px">
								<tr>
									<td colspan="2">
										<a href="/escorts-v2/tours/state_usa_arizona/city_tucson" style="font-weight:bold">Now in Tucson</a><b>(USA)</b>
									</td>
								</tr>
								<tr>
									<th>Date:</th>
									<td>25 Feb 2010 - 28 Feb 2010</td>
								</tr>
								<tr>
									<th>&nbsp;</th>
									<td>&nbsp;</td>
								</tr>
								
								<tr>
									<td colspan="2">
										<b>Upcoming tour in</b> <a href="/escorts-v2/state_usa_california/city_san-francisco" style="font-weight:bold">San Francisco</a> <b>(USA)</b>
									</td>
								</tr>
								<tr>
									<th>Date:</th>
									<td>22 Mar 2010 - 28 Mar 2010</td>
								</tr>
								<tr>
									<th>&nbsp;</th>
									<td>&nbsp;</td>
								</tr>
							</table>
						</div>
					</div>
				</div>
			</div>
			<!-- END OF CITY TOURS BLOCK -->*/ ?>
	
			<!-- CITY CONTACT BLOCK -->		
			<div class="cbox-small">
				<div class="cbox-small-i">
					<div class="cbox-small-ii">
						<h2>Escort Contacts</h2>
						<div class="icon-contact">
							<img src="/img/preview/icon_contact2.gif" alt="Contact" title="Contact" />
						</div>
						<div class="detail-tabulka">
							<table cellpadding="0" cellspacing="0" style="margin-left:10px">
								
								<? $_city_id = print_field('city_id'); ?>
                                <? if( preg_match('#added|removed#', $_city_id) || Cubix_Application::getId() == APP_ED ): ?>
								<tr><th>Base city:</th><td><?= $_city_id ?></td></tr>
								<? endif; ?>

								<? $_home_city_id = print_field('home_city_id'); ?>
								<? if( preg_match('#added|removed#', $_home_city_id) ): ?>
								<tr><th>Home city:</th><td><?= $_home_city_id ?></td></tr>
								<? endif; ?>
								
								<? $_cities = print_field('cities'); ?>
								<? if( preg_match('#added|removed#', $_cities) ): ?>
								<tr>
									<th>Additional cities:</th>
									<td>
										<?= $_cities ?>
									</td>
								<tr>
								<? endif; ?>
									
								<? $_cityzones = print_field('cityzones'); ?>
								<? if( preg_match('#added|removed#', $_cityzones) ): ?>
								<tr>
									<th>Cityzones:</th>
									<td>
										<?= $_cityzones ?>
									</td>
								<tr>
								<? endif; ?>
									
								<? $_country_id = print_field('country_id'); ?>
								<? if( preg_match('#added|removed#', $_country_id) || Cubix_Application::getId() == APP_ED ): ?>
								<tr>
									<th>Country:</th>
									<td><?= $_country_id ?></td>
								</tr>
								<? endif; ?>
								
								<? $_available_24_7 = print_field('available_24_7'); $_times = print_field('times'); ?>
								<? if( preg_match('#added|removed#', $_available_24_7) || preg_match('#added|removed#', $_times) ): ?>
								<tr>
									<th colspan="2">
										Working time:
									</th>
								</tr>								
								<tr>
									<td colspan="2">
										<?= $_available_24_7 ?>
										<?= $_times ?>
									</td>
								</tr>
								<? endif; ?>
								
								<? $_phone_number = print_field('contact_phone_parsed') ?>
								<? if(preg_match('#added|removed#', $_phone_number) ): ?>
								<tr>
									<th>Phone:</th>
									<td class="bold">
										<p id="q-sms" style="float: left"><?= $_phone_number ?></p>
										<a id="btn-q-sms"></a>
									</td>
								</tr>
								<? endif; ?>
								
								<? $_phone_number_alt = print_field('phone_number_alt') ?>
								<? if(preg_match('#added|removed#', $_phone_number_alt) ): ?>
								<tr>
									<th>Alt. Phone:</th>
									<td class="bold"><?= $_phone_number_alt ?></td>
								</tr>
								<? endif; ?>
								
								<? $_phone_instr = print_field('phone_instr') ?>
								<? if(preg_match('#added|removed#', $_phone_instr) ): ?>
								<tr>
									<th>Phone instructions:</th>
									<td class="bold"><?= $_phone_instr ?></td>
								</tr>
								<? endif; ?>
								
								<? $_email = print_field('email') ?>
								<? if(preg_match('#added|removed#', $_email) ): ?>
								<tr>
									<th>E-mail:</th>
									<td class="bold">
										<p id="q-email" style="float: left"><!--email_off--><?= $_email ?><!--/email_off--></p>
										<a id="btn-q-email"></a>
									</td>
								</tr>
								<? endif; ?>
								
								<? $_web = print_field('website') ?>
								<? if(preg_match('#added|removed#', $_web) ): ?>
								<tr>
									<th>Web:</th>
									<td class="bold">
										<?= $_web ?>
									</td>
								</tr>
								<? endif; ?>
								
								<? if(Cubix_Application::getId() == APP_A6): ?>
									<? $_video_link = print_field('video_link') ?>
									<? if(preg_match('#added|removed#', $_video_link) ): ?>
									<tr>
										<th>Video Link:</th>
										<td class="bold">
											<?= $_video_link ?>
										</td>
									</tr>
									<? endif; ?>
								<? endif; ?>

								<? $_zip = print_field('zip') ?>
								<? if( preg_match('#added|removed#', $_zip) ): ?>
								<tr>
									<th>ZIP:</th>
									<td><?= $_zip ?></td>
								</tr>
								<? endif; ?>
								
								<? $_club_name = print_field('club_name') ?>
								<? if( preg_match('#added|removed#', $_club_name) ): ?>
								<tr>
									<th>Club/Agency Name:</th>
									<td><?= $_club_name ?></td>
								</tr>
								<? endif; ?>
								
								<? $_street = print_field('street'); $_street_no = print_field('street_no'); $_address_additional_info = print_field('address_additional_info') ?>
								<? if( preg_match('#added|removed#', $_street) || preg_match('#added|removed#', $_street_no) || preg_match('#added|removed#', $_address_additional_info) ): ?>
								<tr>
									<th>Street:</th>
									<td><?= $_street ?>, <?= $_street_no ?>, <?= $_address_additional_info ?></td>
								</tr>
								<? endif; ?>

								<? $_skype_id = print_field('skype_id') ?>
								<? if( preg_match('#added|removed#', $_skype_id) ): ?>
								<tr>
									<th>Skype_id:</th>
									<td><?= $_skype_id ?></td>
								</tr>
								<? endif; ?>
								
								<tr>
									<th>Registration E-mail:</th>
									<td class="bold">
										<p id="reg-email" style="float: left"><span class="added"><!--email_off--><?= $this->escort->getUserData()->email ?><!--/email_off--></span></p>
										<a id="btn-reg-email"></a>
									</td>
								</tr>

							</table>
						</div>
					</div>
				</div>
			</div>
			<!-- END OF CONTACT BLOCK -->
		</div>
	</div>
</div><!-- preview -->

